### Class

# Soup WebsocketExtensionDeflate

#### Description [src]

    final class Soup.WebsocketExtensionDeflate : Soup.WebsocketExtension {
      /* No available fields */
    }

A SoupWebsocketExtensionDeflate is a `SoupWebsocketExtension` implementing permessage-deflate (RFC 7692).

This extension is used by default in a `SoupSession` when `SoupWebsocketExtensionManager` feature is present, and always used by `SoupServer`.

#### Hierarchy

#### Ancestors

- SoupWebsocketExtension
- GObject

#### Instance methods

##### Methods inherited from SoupWebsocketExtension (5)

###### soup_websocket_extension_configure

Configures `extension` with the given `params`.

###### soup_websocket_extension_get_request_params

Get the parameters strings to be included in the request header.

###### soup_websocket_extension_get_response_params

Get the parameters strings to be included in the response header.

###### soup_websocket_extension_process_incoming_message

Process a message after it’s received.

###### soup_websocket_extension_process_outgoing_message

Process a message before it’s sent.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SoupWebsocketExtensionDeflateClass {
      SoupWebsocketExtensionClass parent_class;

    }

No description available.

###### Class members

`parent_class: SoupWebsocketExtensionClass`
  No description available.